Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  <20142015  2016  2017  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  <20142015  2016  2017 
<== Date ==> <== Thread ==>

Subject: Failed to install ISR
From: 류수 <sryu@ibs.re.kr>
To: "tech-talk" <tech-talk@aps.anl.gov>
Date: Thu, 16 Jan 2014 00:25:19 +0900
Hi,

I am in trouble to initialize PMC-EVR using mrfioc2. 
The PMC-EVR is attached to MV6100 which runs vxWorks 6.9.
The message says that "Failed to install ISR" so it seems that driver can't connect interrupt handler 
to the PCI interrupt, but I don't know how to fix.
Would you help me out ?

Regards,
Soo


cd "epics/modules/mrfioc2"
value = 0 = 0x0
ld < bin/vxWorks-ppc604/mrf.munch
value = 38203712 = 0x246f140 = '@'
dbLoadDatabase("dbd/mrf.dbd")
value = 0 = 0x0
mrf_registerRecordDeviceDriver(pdbbase)
value = 0 = 0x0
dbLoadRecords("db/iocAdminVxWorks.db", "IOC=mrftest")
Can't register 'system' command -- no command interpreter available.
value = 0 = 0x0

mrmEvrSetupPCI("PMC1",2,4,0)
Device PMC1  2:4.0
Using IRQ 80
PMC Out FP:3 FPUNIV:0 RB:0 IFP:1
Failed to install ISR
PMC1 shuting down... complete
value = 0 = 0x0
dbLoadRecords("db/evr-pmc-230.db","SYS=PMC, D=PMC:1, EVR=PMC1")FWVersion 0x1100000
6
Found version 6
Wvalue = 0 = 0x0




Replies:
Re: Failed to install ISR Michael Davidsaver

Navigate by Date:
Prev: CSS BEAST setup Swati Soni2
Next: Re: Failed to install ISR Michael Davidsaver
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  <20142015  2016  2017 
Navigate by Thread:
Prev: CSS BEAST setup Swati Soni2
Next: Re: Failed to install ISR Michael Davidsaver
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  <20142015  2016  2017 
ANJ, 17 Dec 2015 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·